@echo off

:main
echo CLEANING UP ...

set tempfile=loader_gfxdata
call :listclean

set tempfile=loader_gfxload.inc
call :listclean

set tempfile=loader_hdmatables
call :listclean

set tempfile=loader_initsnes.inc
call :listclean

set tempfile=loader_joypads.inc
call :listclean

set tempfile=loader_maincode.inc
call :listclean

set tempfile=loader_quicksetup.inc
call :listclean

set tempfile=loader_sprites.inc
call :listclean

set tempfile=loader_strings.inc
call :listclean

set tempfile=loader
call :listclean
call :romclean

set tempfile=SA
call :romclean

set tempfile=SB
call :romclean

set tempfile=SC
call :romclean

set tempfile=SD
call :romclean

set tempfile=SG
call :romclean

set tempfile=SI
call :romclean

set tempfile=SM
call :romclean

set tempfile=SN
call :romclean

set tempfile=SO
call :romclean

set tempfile=SP
call :romclean

set tempfile=SQ
call :romclean

set tempfile=SU
call :romclean

goto :done

:listclean
if exist %tempfile%.lst del %tempfile%.lst
goto :eof

:romclean
if exist %tempfile%.sfc del %tempfile%.sfc
if exist %tempfile%.sym del %tempfile%.sym
goto :eof

:done
set tempfile=
echo DONE!
pause
